org.eclnt.jsfserver.elements.componentnodes

## Class SVGVIEWERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SVGVIEWERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SVGVIEWERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVGVIEWERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SVGVIEWERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SVGVIEWERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindSvg(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindSvgheight(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindSvgwidth(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindWithelementselection(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindX(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `bindY(IDynamicContentBindingObject value)`
    `SVGVIEWERNode` | `setActionListener(java.lang.String value)`
    `SVGVIEWERNode` | `setAdapterbinding(java.lang.String value)`
    `SVGVIEWERNode` | `setAnimatechangeofsize(boolean value)`
    `SVGVIEWERNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SVGVIEWERNode` | `setAttributemacro(java.lang.String value)`
    `SVGVIEWERNode` | `setBorder(java.lang.String value)`
    `SVGVIEWERNode` | `setColspan(int value)`
    `SVGVIEWERNode` | `setColspan(java.lang.String value)`
    `SVGVIEWERNode` | `setComment(java.lang.String value)`
    `SVGVIEWERNode` | `setConfiginfo(java.lang.String value)`
    `SVGVIEWERNode` | `setHeight(int value)`
    `SVGVIEWERNode` | `setHeight(java.lang.String value)`
    `SVGVIEWERNode` | `setId(java.lang.String value)`
    `SVGVIEWERNode` | `setReference(java.lang.String value)`
    `SVGVIEWERNode` | `setRendered(boolean value)`
    `SVGVIEWERNode` | `setRendered(java.lang.String value)`
    `SVGVIEWERNode` | `setShadow(java.lang.String value)`
    `SVGVIEWERNode` | `setStylevariant(java.lang.String value)`
    `SVGVIEWERNode` | `setSvg(java.lang.String value)`
    `SVGVIEWERNode` | `setSvgheight(java.lang.String value)`
    `SVGVIEWERNode` | `setSvgwidth(java.lang.String value)`
    `SVGVIEWERNode` | `setWidth(int value)`
    `SVGVIEWERNode` | `setWidth(java.lang.String value)`
    `SVGVIEWERNode` | `setWithelementselection(boolean value)`
    `SVGVIEWERNode` | `setWithelementselection(java.lang.String value)`
    `SVGVIEWERNode` | `setX(int value)`
    `SVGVIEWERNode` | `setX(java.lang.String value)`
    `SVGVIEWERNode` | `setY(int value)`
    `SVGVIEWERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SVGVIEWERNode

          public SVGVIEWERNode()

  - ### Method Detail

    - #### setId

          public SVGVIEWERNode setId(java.lang.String value)

    - #### setActionListener

          public SVGVIEWERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SVGVIEWERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SVGVIEWERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SVGVIEWERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SVGVIEWERNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SVGVIEWERNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SVGVIEWERNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SVGVIEWERNode setAttributemacro(java.lang.String value)

    - #### setBorder

          public SVGVIEWERNode setBorder(java.lang.String value)

    - #### bindBorder

          public SVGVIEWERNode bindBorder(IDynamicContentBindingObject value)

    - #### setColspan

          public SVGVIEWERNode setColspan(java.lang.String value)

    - #### bindColspan

          public SVGVIEWERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SVGVIEWERNode setColspan(int value)

    - #### setComment

          public SVGVIEWERNode setComment(java.lang.String value)

    - #### bindComment

          public SVGVIEWERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SVGVIEWERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SVGVIEWERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public SVGVIEWERNode setHeight(java.lang.String value)

    - #### bindHeight

          public SVGVIEWERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SVGVIEWERNode setHeight(int value)

    - #### setReference

          public SVGVIEWERNode setReference(java.lang.String value)

    - #### setRendered

          public SVGVIEWERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SVGVIEWERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SVGVIEWERNode setRendered(boolean value)

    - #### setShadow

          public SVGVIEWERNode setShadow(java.lang.String value)

    - #### bindShadow

          public SVGVIEWERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SVGVIEWERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SVGVIEWERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSvg

          public SVGVIEWERNode setSvg(java.lang.String value)

    - #### bindSvg

          public SVGVIEWERNode bindSvg(IDynamicContentBindingObject value)

    - #### setSvgheight

          public SVGVIEWERNode setSvgheight(java.lang.String value)

    - #### bindSvgheight

          public SVGVIEWERNode bindSvgheight(IDynamicContentBindingObject value)

    - #### setSvgwidth

          public SVGVIEWERNode setSvgwidth(java.lang.String value)

    - #### bindSvgwidth

          public SVGVIEWERNode bindSvgwidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SVGVIEWERNode setWidth(java.lang.String value)

    - #### bindWidth

          public SVGVIEWERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SVGVIEWERNode setWidth(int value)

    - #### setWithelementselection

          public SVGVIEWERNode setWithelementselection(java.lang.String value)

    - #### bindWithelementselection

          public SVGVIEWERNode bindWithelementselection(IDynamicContentBindingObject value)

    - #### setWithelementselection

          public SVGVIEWERNode setWithelementselection(boolean value)

    - #### setX

          public SVGVIEWERNode setX(java.lang.String value)

    - #### bindX

          public SVGVIEWERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SVGVIEWERNode setX(int value)

    - #### setY

          public SVGVIEWERNode setY(java.lang.String value)

    - #### bindY

          public SVGVIEWERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SVGVIEWERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.